Page MenuHomePhabricator

Community Bonding Report for Improving static analysis tools for MediaWiki
Closed, ResolvedPublic

Description

Reports of progress made for the GSoC project (T130574) during the Community Bonding phase.

Meetings

  • On IRC (#codesniffer), May 5
  • On Phabricator (Z408), May 16.

Communication Plan

  • Complete weekly progress reports on (T134721) before the weekly meeting.
  • Weekly meeting on (Z408)at Saturday 02:00 UTC (Proposed just for now, awaiting confirmation from mentors).

Meeting requests will have: (i) A task for the agenda, (ii) A Calendar event on phabricator, and (iii) A google calendar request.

Work done

  • Read through the source code of Mediawiki codesniffer project.
  • Set up the PHP Codesniffer development environment (including Git).
  • Confirmed the project plan with mentor. Nothing changed in the plan.
  • Created the weekly reports task (T134721).
  • Created the project task (T135966).
  • Submitted some patches to the project (have been done before admitted to the project).
  • Read through the required documents like Developer Guide, etc.

Lessons learnt

  • Learnt how to use Phabricator and IRC to collaborate with mentors and members.
  • Learnt using the PHPUnit unit-testing tool.
  • Had a deeper and more complete understand on the PHP Codesniffer framework.

Midterm review: Minimum viable product

The MVP should have implemented all of the following:

  • Clean up and improve current codebase.
  • Fix the problem in detecting the illegal format of comments like /*** fail ***/.
  • Fix the problem of an unexpected empty line shows up after closing the open brace of a function.
  • Create a sniff that will give warning for detecting function or variable named with lower camelcase style.
  • Create a sniff that will check if the source code using PHP superglobals like $_GET, $_POST, etc.
  • Create a fix method for adding a new line before a single-line comment.

Event Timeline

Lethexie created this task.May 16 2016, 2:54 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 16 2016, 2:54 PM

@Lethexie: Can you please associate your "code project" to this task (via "Actions > Change Project Tags")? Thanks in advance.

@Aklapper Thanks for your reminder:D

Lethexie updated the task description. (Show Details)May 23 2016, 4:57 AM
01tonythomas added a subscriber: 01tonythomas.

Its enough to keep the original project as MediaWiki-Codesniffer -- and we got this in the tracking bug :)

Please resolve this task as Complete.

Aklapper closed this task as Resolved.Jul 27 2016, 10:06 AM

Please resolve this task as Complete.

@Lethexie: I am closing this task as complete.